Name:          libqmi
Version:       1.36.0
Release:       1mamba
Summary:       QMI modem protocol helper library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://cgit.freedesktop.org/libqmi
Source:        https://gitlab.freedesktop.org/mobile-broadband/libqmi.git/%{version}/libqmi-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgudev-devel
BuildRequires: libmbim-devel
BuildRequires: libqrtr-glib-devel
## AUTOBUILDREQ-END
BuildRequires: libqrtr-glib-devel

%description
QMI modem protocol helper library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Communication
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.


%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libqmi-glib.so.*
%{_libdir}/girepository-1.0/Qmi-1.0.typelib
%{_libexecdir}/qmi-proxy
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libqmi-glib
%{_includedir}/libqmi-glib/*.h
#%{_libdir}/libqmi-glib.a
%{_libdir}/libqmi-glib.so
%{_datadir}/gir-1.0/Qmi-1.0.gir
%{_libdir}/pkgconfig/qmi-glib.pc
%doc NEWS TODO

%files tools
%defattr(-,root,root)
%{_bindir}/qmi-network
%{_bindir}/qmicli
%{_bindir}/qmi-firmware-update
%{_datadir}/bash-completion/completions/qmicli
%{_mandir}/man1/qmi-network.1*
%{_mandir}/man1/qmicli.1*
%{_mandir}/man1/qmi-firmware-update.1*

%changelog
* Thu Apr 10 2025 Automatic Build System <autodist@openmamba.org> 1.36.0-1mamba
- automatic version update by autodist

* Thu Oct 12 2023 Automatic Build System <autodist@mambasoft.it> 1.34.0-1mamba
- automatic version update by autodist

* Thu Mar 02 2023 Automatic Build System <autodist@mambasoft.it> 1.32.4-1mamba
- automatic version update by autodist

* Tue Jan 17 2023 Automatic Build System <autodist@mambasoft.it> 1.32.2-1mamba
- automatic version update by autodist

* Sat Jun 25 2022 Automatic Build System <autodist@mambasoft.it> 1.30.8-1mamba
- automatic version update by autodist

* Fri Apr 29 2022 Automatic Build System <autodist@mambasoft.it> 1.30.6-1mamba
- automatic version update by autodist

* Sat Feb 12 2022 Automatic Build System <autodist@mambasoft.it> 1.30.4-1mamba
- automatic version update by autodist

* Tue Sep 07 2021 Automatic Build System <autodist@mambasoft.it> 1.30.2-1mamba
- automatic version update by autodist

* Fri Aug 06 2021 Automatic Build System <autodist@mambasoft.it> 1.30.0-1mamba
- automatic version update by autodist

* Sun Jun 06 2021 Automatic Build System <autodist@mambasoft.it> 1.28.6-1mamba
- automatic version update by autodist

* Sun May 16 2021 Automatic Build System <autodist@mambasoft.it> 1.28.4-1mamba
- automatic version update by autodist

* Wed Mar 03 2021 Automatic Build System <autodist@mambasoft.it> 1.28.2-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 1.28.0-1mamba
- automatic version update by autodist

* Tue Feb 16 2021 Automatic Build System <autodist@mambasoft.it> 1.26.10-1mamba
- automatic version update by autodist

* Mon Jan 11 2021 Automatic Build System <autodist@mambasoft.it> 1.26.8-1mamba
- automatic version update by autodist

* Mon Oct 12 2020 Automatic Build System <autodist@mambasoft.it> 1.26.6-1mamba
- automatic version update by autodist

* Tue Aug 25 2020 Automatic Build System <autodist@mambasoft.it> 1.26.4-1mamba
- automatic version update by autodist

* Mon Jul 27 2020 Automatic Build System <autodist@mambasoft.it> 1.26.2-1mamba
- automatic version update by autodist

* Fri Jun 26 2020 Automatic Build System <autodist@mambasoft.it> 1.26.0-1mamba
- automatic version update by autodist

* Sat May 30 2020 Automatic Build System <autodist@mambasoft.it> 1.24.14-1mamba
- automatic version update by autodist

* Sun May 10 2020 Automatic Build System <autodist@mambasoft.it> 1.24.12-1mamba
- automatic version update by autodist

* Mon Apr 13 2020 Automatic Build System <autodist@mambasoft.it> 1.24.10-1mamba
- automatic version update by autodist

* Sat Mar 28 2020 Automatic Build System <autodist@mambasoft.it> 1.24.8-1mamba
- automatic version update by autodist

* Thu Feb 27 2020 Automatic Build System <autodist@mambasoft.it> 1.24.6-1mamba
- automatic version update by autodist

* Sat Feb 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.24.4-1mamba
- update to 1.24.4

* Fri Sep 20 2019 Automatic Build System <autodist@mambasoft.it> 1.24.0-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 1.22.6-1mamba
- automatic version update by autodist

* Fri Apr 12 2019 Automatic Build System <autodist@mambasoft.it> 1.22.4-1mamba
- automatic version update by autodist

* Fri Mar 01 2019 Automatic Build System <autodist@mambasoft.it> 1.22.2-1mamba
- automatic version update by autodist

* Tue Jan 08 2019 Automatic Build System <autodist@mambasoft.it> 1.22.0-1mamba
- automatic version update by autodist

* Sun Aug 12 2018 Automatic Build System <autodist@mambasoft.it> 1.20.2-1mamba
- automatic version update by autodist

* Thu Jan 25 2018 Automatic Build System <autodist@mambasoft.it> 1.20.0-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Sat Dec 03 2016 Automatic Build System <autodist@mambasoft.it> 1.16.2-1mamba
- automatic version update by autodist

* Thu Aug 04 2016 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Wed Apr 13 2016 Automatic Build System <autodist@mambasoft.it> 1.12.10-1mamba
- automatic version update by autodist

* Sat Feb 13 2016 Automatic Build System <autodist@mambasoft.it> 1.12.8-1mamba
- automatic version update by autodist

* Thu Mar 26 2015 Automatic Build System <autodist@mambasoft.it> 1.12.6-1mamba
- automatic version update by autodist

* Wed Feb 11 2015 Automatic Build System <autodist@mambasoft.it> 1.12.4-1mamba
- automatic version update by autodist

* Fri Jan 16 2015 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Sun Oct 26 2014 Automatic Build System <autodist@mambasoft.it> 1.10.4-1mamba
- automatic version update by autodist

* Mon Sep 08 2014 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- automatic version update by autodist

* Sat Jul 05 2014 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Sun Dec 29 2013 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Thu Jun 20 2013 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Thu Apr 11 2013 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sat Dec 08 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- package created by silvan using the webbuild interface
